<#--获取某个表的所有索引信息语句-->
<#-- 输入参数 -->
<#--tableName 表名 -->
 SELECT
    IDX.NAME AS MXSY_BIANH
    ,C.NAME AS MXSY_ZIDLB
    ,CASE WHEN IDX.IS_UNIQUE=1 THEN  1  ELSE 0 END AS MXSY_SHIFWY
    ,0 AS ISPK 
FROM SYS.INDEXES IDX
    INNER JOIN SYS.INDEX_COLUMNS IDXC
        ON IDX.[OBJECT_ID]=IDXC.[OBJECT_ID]
            AND IDX.INDEX_ID=IDXC.INDEX_ID
    LEFT JOIN SYS.KEY_CONSTRAINTS KC
        ON IDX.[OBJECT_ID]=KC.[PARENT_OBJECT_ID]
            AND IDX.INDEX_ID=KC.UNIQUE_INDEX_ID
    INNER JOIN SYS.OBJECTS O
        ON O.[OBJECT_ID]=IDX.[OBJECT_ID]
    INNER JOIN SYS.COLUMNS C
        ON O.[OBJECT_ID]=C.[OBJECT_ID]
            AND O.TYPE='U'
            AND O.IS_MS_SHIPPED=0
            AND IDXC.COLUMN_ID=C.COLUMN_ID
    INNER JOIN SYS.INDEX_COLUMNS IDXCUQ
        ON IDXC.[OBJECT_ID]=IDXCUQ.[OBJECT_ID]
            AND IDXC.COLUMN_ID=IDXCUQ.COLUMN_ID
WHERE O.OBJECT_ID=OBJECT_ID('${tableName}')
ORDER BY IDX.NAME,C.NAME